import numpy as np

ONE_HOUR = 60 * 60
ONE_DAY = 24 * ONE_HOUR
A_TRUE = 1e-21
F_TRUE = 3e-3
FDOT_TRUE = 1e-8
DT = np.floor(0.1 / (2 * F_TRUE))

LN_F_TRUE = np.log(F_TRUE)
LN_FDOT_TRUE = np.log(FDOT_TRUE)

TRUES = [A_TRUE, LN_F_TRUE, LN_FDOT_TRUE]

NF = 64
TMAX = 540_672

GAP_RANGES = [
    [0.3 * TMAX, 0.35 * TMAX],
    [0.5 * TMAX, 0.6 * TMAX],
    [0.8 * TMAX, 0.87 * TMAX],
]

A_RANGE = [A_TRUE - 1e-21, A_TRUE + 1e-21]
F_RANGE = [F_TRUE - 6e-7, F_TRUE + 6e-7]
FDOT_RANGE = [FDOT_TRUE - 6e-12, FDOT_TRUE + 6e-12]

LN_F_RANGE = [np.log(F_RANGE[0]), np.log(F_RANGE[1])]
LN_FDOT_RANGE = [np.log(FDOT_RANGE[0]), np.log(FDOT_RANGE[1])]

A_SCALE = A_RANGE[1] - A_RANGE[0]
LN_F_SCALE = LN_F_RANGE[1] - LN_F_RANGE[0]
LN_FDOT_SCALE = LN_FDOT_RANGE[1] - LN_FDOT_RANGE[0]


RANGES = [A_RANGE, LN_F_RANGE, LN_FDOT_RANGE]
